//This script has been, in part, compiled from several other skins' scripts available on the web. 
//You know what, it really sucks when you have to learn skin scripting by reverse-engineering
//instead from the Microsoft Skin Programming Reference!
 
//Anyway, this skin, as a whole (graphics and script "compilation"), is copyrighted  2004 ns-designs.com. 
//All rights reserved. However, if you see part of this code (or the whole script) 
//that could be useful to you in creating your own skin, please feel free to "borrow" it without any credits. 

//Did I mention that this is my first Windows Media Player skinning attempt...


function checkPlayerState(){

	if (player){
		switch (player.playState){

			case 3:
				if("true"==theme.loadPreference("vidCheck")){
					theme.openView('vidWindow');
				}
				playAnim.backgroundImage = "skin_animation.gif";
				if(("false"==theme.loadPreference("vidViewer"))&&player.currentMedia.ImageSourceWidth>0){
					theme.openView('vidWindow');
					if("true"==theme.loadPreference("visViewer")){
					    theme.savePreference("visViewer", "false");
						theme.closeView( "visWindow" );
					}
					break
				}
				break;
			}
		}


	if (!player.controls.isAvailable("Stop")) {
		playAnim.backgroundImage = "skin_animation_off.png";
	}
	if (!player.controls.isAvailable("Pause")) {
		playAnim.backgroundImage = "skin_animation_off.png";
	}

}

function mainInit(){
	volume.value = player.settings.volume;
	loadMainPrefs();
	theme.savePreference("vidViewer", "false");
	checkPlayerState();
	updateMetadata('status');
	displayTime( 0 );
}

function loadMainPrefs(){
    if ("true"==theme.loadPreference("plViewer")){
		theme.openView( 'plWindow' );
	}
	if ("true"==theme.loadPreference("visViewer")){
		theme.openView( 'visWindow' );
	}
}

function updateMetadata(type){
	if("status"==type){
		if(player.openState!=13) return;

		var metaAuthor = player.currentMedia.getItemInfo("author");

		if (metaAuthor != "") {
			metaAuthor += " - ";
		}

		metadata.value = metaAuthor;
		
	}
	else if("playlist"==type){
		if(player.currentPlaylist.count==0) return;

		var metaAuthor = player.currentMedia.getItemInfo("author");

		if (metaAuthor != "") {
			metaAuthor += " - ";
		}

		if(player.openState!=13){
			metadata.value = metaAuthor;
		}
	}
	else{
		metadata.scrolling = (metadata.textWidth>metadata.width);
		return;
	}

	metadata.value += player.currentmedia.name;
	metadata.scrolling = (metadata.textWidth>metadata.width);

}

function updateVolToolTip(id){//update tool tip for volume
	vlm = "";
	vlm += player.settings.volume;
	eval(id + ".toolTip = vlm" );
}

function volKey(event){//adjust volume with keys
	switch(event.keycode){
		case 39:
		case 38:
			if(player.settings.volume < 95){
				player.settings.volume+=5;
			}else{
				player.settings.volume = 100;
			}
			break;
		case 37:
		case 40:
			if(player.settings.volume > 5){
				player.settings.volume-=5;
			}else{
				player.settings.volume = 0;
			}
			break;
		}
		player.settings.mute = false;
	}
	
function seekKey(event){//seek with keys
	switch(event.keycode){
		case 37:
		case 40:
			if(player.controls.currentPosition > 10){
				player.controls.currentPosition-=10;
			}else{
				player.controls.currentPosition = 0;
			}
			break;
		case 39:
		case 38:
			if(player.controls.currentPosition < 900){
				player.controls.currentPosition+=10;
			}else{
				player.controls.currentPosition = 1000;
			}
			break;
	}
}
	
function updateSeekToolTip(){//update tool tip for seek slider
	if(player.openState!=13) return;

	var seekHours = Math.floor((Slider.value / 3600));
	if (seekHours < 10) seekHours = "0" + seekHours;

	var seekMinutes = Math.floor((Slider.value - (seekHours*3600))/60);
	if (seekMinutes < 10) seekMinutes = "0" + seekMinutes;

	var seekSeconds = Math.floor((Slider.value - (seekMinutes*60) - (seekHours*3600)));
	if (seekSeconds < 10) seekSeconds = "0" + seekSeconds;

	var seekString;

	if (seekHours==00) {
		seekString = "";
	}else{
		seekString = seekHours + ":";
	}

	seekString += seekMinutes + ":" + seekSeconds;

	Slider.toolTip = seekString;
	Slider.toolTip += " / ";
	Slider.toolTip += player.currentMedia.DurationString;

}

var displayElapsedTime = true;

function displayTime( time )
{
	if(player.currentPlaylist.count==0) return;

	if( !displayElapsedTime ){
        time = player.currentMedia.duration - time;
    }

	blockSize = 14
    time = time - time % 1;

    no4.left = -( time % 10 ) * blockSize;

    time = time - ( time % 10);
    no3.left = -( ( time % 60 ) / 10 ) * blockSize;

    time = time - ( time % 60 );
    time = time / 60;
    no2.left = -( time % 10 ) * blockSize;

    time = time - ( time % 10 );
    no1.left = -( time / 10 ) * blockSize;
}

function switchTime()
{
    displayElapsedTime = !displayElapsedTime;

    if( displayElapsedTime ){
        timeSign.left = -140;
    }
    else{
        timeSign.left = -140;
    }

	time = Slider.value;

	displayTime( time );
}

function openFile(){//open file
	var media = theme.openDialog('FILE_OPEN','FILES_ALLMEDIA');
	if (media) {
		player.URL = media;
		player.controls.play();
	}
}

function openView(name,id){//open windows
	if(id=="visViewer"){
		if("false"==theme.loadPreference("vidViewer")){
			if("true"==theme.loadPreference(id)){
				theme.savePreference(id, "false");
				theme.closeView( name );
			}else{
				theme.openView( name );
				theme.savePreference(id, "true");
			}		
		}
	}
	else{
		if("true"==theme.loadPreference(id)){
			theme.savePreference(id, "false");
			theme.closeView( name );
		}else{
			theme.openView( name );
			theme.savePreference(id, "true");
		}		
	}
}

function closeView(id){
	theme.savePreference(id, "false");
	if( id=="vidViewer" ){
		player.controls.stop();
		theme.savePreference("vidCheck", "false");
		theme.savePreference("vidViewer", "false");
	}
	view.close();
}

function updateToolTip(id,button,tip){//update tooltips
	if("true"==theme.loadPreference( id )){
		eval( button +".upToolTip = locHide" + tip + ".toolTip" );
	}else{
		eval( button +".upToolTip = locShow" + tip + ".toolTip" );
	}
}

function startAnimation(){
	mainIntro.visible = false;
	introAnim.visible = true;
	introAnim.backgroundImage = "skin_animation.gif";
	}
	
var eq_isOpen = true;

	
function moveEqdrawer(){
	if (eq_isOpen) {
		eqDrawer.visible = true;
		eqDrawer.moveTo(305,17,500);
        eq_isOpen = false;
		eqBttn.down = true;
	} 
	else {
		eqDrawer.moveTo(55,17,500);
		eq_isOpen = true;
	}
}

function hideEqDrawer(){
	if(eq_isOpen){
		eqDrawer.visible = false;
		eq_isOpen = true;
	}
}



//video functions
function loadVidPrefs(){
	theme.savePreference( 'vidViewer', "true" );
	theme.savePreference("vidCheck", "true");

	checkSnapStatus();
	checkVideoPlayerState();
	updateZoomToolTip();
}

function saveVidPrefs(){
	theme.savePreference('drawerStatus',drawerStatus);
}

function loadVidSize(){
    var vidSizer = theme.loadPreference( "videoWidth" );

    if( "--" != vidSizer )
    {
        view.width = vidSizer;
    }
    vidSizer = theme.loadpreference( "videoHeight" );

    if( "--" != vidSizer )
    {
        view.height = vidSizer;
    }
}

function saveVidSize(){
    theme.savePreference( "videoWidth", view.width );
    theme.savePreference( "videoHeight", view.height );
	theme.savePreference("vidSnapper" , "false");
	zoomBttn.upToolTip = vidSetTip.toolTip;
	mediacenter.videoZoom = 50;
}

function SnapToVideo(){

	theme.savePreference("vidSnapper" , "true");

	var zoom = mediacenter.videoZoom;
	var viewWidth = (player.currentMedia.imageSourceWidth * (zoom/100.00));
	var viewHeight = (player.currentMedia.imageSourceHeight * (zoom/100.00));

	view.width = viewWidth + 47;
	view.height = viewHeight + 100;
}

function checkSnapStatus(){
	if(player.openState!=13) return;
	if("false"==theme.loadPreference("vidSnapper")){
		loadVidSize();
	}else{
		SnapToVideo();
	}
}

function checkVideoPlayerState(){
	if (player){
		switch (player.playState){
			
			case 3: 	//playing
				if(!player.currentMedia.ImageSourceWidth>0){
					theme.savePreference('vidViewer', "false");
					theme.savePreference("vidCheck", "false");
					view.close();
					break;
				}
				if(!player.fullScreen){
					checkSnapStatus();
				}
				break;
			}
			vidResize.enabled = true;
			zoomBttn.enabled = true;
		}

	if (!player.controls.isAvailable("Stop")) {
		vidResize.enabled = false;
		zoomBttn.enabled = false;
	}
}

function videoZoom(){
	if("false"==theme.loadPreference("vidSnapper")){
		mediacenter.videoZoom = 50;
	}
	if(mediacenter.videoZoom < 76){
		mediacenter.videoZoom = 100;
	}else if(mediacenter.videoZoom <101){
		mediacenter.videoZoom = 150;
	}else if(mediacenter.videoZoom < 156){
		mediacenter.videoZoom = 200;
	}else{
		mediacenter.videoZoom = 75;
	}
	SnapToVideo();
	updateZoomToolTip();
}

function updateZoomToolTip(){

	zoomBttn.upToolTip = zoomBttnIn.toolTip + mediacenter.videoZoom + zoomBttnMid.toolTip;

	if(mediacenter.videoZoom < 76){
		nextZoom = 100;
	}else if(mediacenter.videoZoom <101){
		nextZoom = 150;
	}else if(mediacenter.videoZoom < 156){
		nextZoom = 200;
	}else{
		nextZoom = 75;
	}

	zoomBttn.upToolTip += nextZoom + zoomBttnOut.toolTip;
	
	if("false"==theme.loadPreference("vidSnapper")){
		zoomBttn.upToolTip = vidSetTip.toolTip;
	}
}


function checkVidViewSize(){
	
}


